Skip to main content
GET
/
tabs
List Tabs
curl --request GET \
  --url https://backend.anglera.com/tabs \
  --header 'X-Anglera-API-Key: <api-key>'
{
  "sheet_id": "<string>",
  "tabs": [
    {
      "id": 123,
      "name": "<string>",
      "position": 123
    }
  ]
}
Returns all tabs for a sheet, ordered by position.

Request

curl "https://backend.anglera.com/tabs?sheet_id=100" \
  -H "X-Anglera-API-Key: your_api_key"

Query Parameters

sheet_id
string
required
ID of the sheet to list tabs for

Response

sheet_id
string
The sheet ID
tabs
array
List of tabs in the sheet, ordered by position
Example Response
{
  "sheet_id": "100",
  "tabs": [
    {
      "id": 1,
      "name": "Sheet 1",
      "position": 10
    },
    {
      "id": 42,
      "name": "Batch 2026-03-04",
      "position": 20
    }
  ]
}

Errors

Status CodeDescription
400Missing sheet_id query parameter
401Invalid API key
404Sheet not found
500Internal server error